MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002484NetSurfDevelopmentpublic2016-11-24 18:292016-11-29 12:25
ReporterPeter Young 
Assigned ToMichael Drake 
SeveritymajorReproducibilityalways 
StatusresolvedResolutionfixed 
PlatformRISC OSOSRISC OSOS Version5.23
Product Version 
Target VersionFixed in Version 
Summary0002484: http://www.bapfish.org.uk/index.htm [^] now virtually unusable.
DescriptionIn the latest RISC OS versions of NetSurf this website, invaluable to RISC OS users, has become seriously distorted and to all intents unusable.
Steps To ReproduceTry again!
TagsNo tags attached.
Fixed in CI build #3789
Reported in CI build #3784
URL of problem pagehttp://www.bapfish.org.uk/index.htm [^]
Attached Fileszip file icon Logfile.zip [^] (11,891 bytes) 2016-11-24 18:29
jpg file icon screen.jpg [^] (66,866 bytes) 2016-11-26 00:56


jpg file icon bapfish_djp.jpg [^] (33,676 bytes) 2016-11-26 07:25

- Relationships

-  Notes
(0001443)
Harriet Bazley (reporter)
2016-11-25 00:31
edited on: 2016-11-25 00:35

Seems fine here on v3749, if that helps...

...and still seems identically functional in v3785, though I'm not familiar with the site and don't know what behaviour to expect. Layout looks fine, all links seem to work.

(0001444)
Peter Young (reporter)
2016-11-25 07:37

That's odd, as it's still muddled here with 3785. It never used to look like that!
(0001445)
Harriet Bazley (reporter)
2016-11-26 00:56
edited on: 2016-11-26 00:57

Here's a screenshot from me under RISC OS 5.22; I see you're using 5.23. Could it be an OS version thing?

(0001446)
David Pitt (reporter)
2016-11-26 07:35

The fault does not appear here on a Titanium, OS 5.23 (19-Nov-16) with NetSurf 3.7 #3785.

However the fault does appear on OS4.42, OS4.39 and OS4.02 with the same version of NetSurf, see uploaded file bapfish_djp.jpg. An earlier NetSurf, #3723, was OK on OS4.39 and OS4.02.
(0001447)
Peter Young (reporter)
2016-11-26 07:40

Yes, bapfish_djp.jpg is exactly what I see
(0001448)
David Pitt (reporter)
2016-11-26 11:49

Further digging shows the fault to be present on the Iyonix with both OS5.22 13-Apr-15 and OS5.23 26-Nov-16 but not on a Raspberry Pi Mk3 OS5.23 12-Nov-16.
(0001449)
David Pitt (reporter)
2016-11-26 12:51

Set "Hide advertisements"
(0001450)
Peter Young (reporter)
2016-11-26 13:03

Thanks. That works, but how?
User avatar (0001451)
Dave Higton (developer)
2016-11-26 19:26

Here on a BBxM with RO 5.23 (25-Aug-16), the layout is OK in 3762 but not in 3763.
User avatar (0001452)
Michael Drake (administrator)
2016-11-29 12:25

Should be fixed in #3789.

- Issue History
Date Modified Username Field Change
2016-11-24 18:29 Peter Young New Issue
2016-11-24 18:29 Peter Young File Added: Logfile.zip
2016-11-25 00:31 Harriet Bazley Note Added: 0001443
2016-11-25 00:35 Harriet Bazley Note Edited: 0001443 View Revisions
2016-11-25 07:37 Peter Young Note Added: 0001444
2016-11-26 00:56 Harriet Bazley Note Added: 0001445
2016-11-26 00:56 Harriet Bazley File Added: screen.jpg
2016-11-26 00:57 Harriet Bazley Note Edited: 0001445 View Revisions
2016-11-26 07:25 David Pitt File Added: bapfish_djp.jpg
2016-11-26 07:35 David Pitt Note Added: 0001446
2016-11-26 07:40 Peter Young Note Added: 0001447
2016-11-26 11:49 David Pitt Note Added: 0001448
2016-11-26 12:51 David Pitt Note Added: 0001449
2016-11-26 13:03 Peter Young Note Added: 0001450
2016-11-26 19:26 Dave Higton Note Added: 0001451
2016-11-29 12:22 Michael Drake Fixed in CI build # => 3789
2016-11-29 12:22 Michael Drake Assigned To => Michael Drake
2016-11-29 12:22 Michael Drake Status new => resolved
2016-11-29 12:22 Michael Drake Resolution open => fixed
2016-11-29 12:22 Michael Drake Category RISC OS-specific => Development
2016-11-29 12:25 Michael Drake Note Added: 0001452


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker